# Borland C/C++ 3.1 DMAKE Startup File
#
# Copyright (C) 1995 by Branislav L. Slantchev
# A product of Silicon Creations, Inc.
#
# See the file "copying.pbl" for licensing information.
#

.IMPORT  : SILICON
.INCLUDE : $(SILICON)\ETC\STARTUP\_STARTUP.MK

# Default commands for compiling, linking, assembling and archiving
CC       := bcc
CFLAGS   := -ml
AS       := tasm
ASFLAGS  := /mx /t
LD       := tlink
LDFLAGS  :=	/C /x /d
AR		 := tlib
ARFLAGS  := /C

# Library prefix code (up to two letters)
LIB_PREFIX := BC

# See if we need some special switches for PB_SDK mode
# The library suffix code must be up to three characters in length
.IF $(PB_SDK)
	INCLUDE    := $(SILICON)\H
	LIB        := $(SILICON)\LIB
	C0LIB      := PB_SDK.OBJ
	CFLAGS     += -I$(INCLUDE) -DPB_SDK
	LDFLAGS    += /n /L$(LIB)
	LIB_SUFFIX := _PX
.ELSE
	C0LIB      := C0L.OBJ
	INCLUDE    := $(INCLUDE);$(SILICON)\H
	LIB        := $(LIB);$(SILICON)\LIB
	CFLAGS     += -I$(INCLUDE)
	LDFLAGS    += /L$(LIB)
	LIB_SUFFIX := _EX
	LDLIBS     := EMU.LIB MATHL.LIB CL.LIB
.END

# Implicit rules for building object files (with a compiler .cfg file).
%$O .SWAP: %$C ; $(CC) -c @$(mktmp $(CFLAGS)) $<
%$O .SWAP: %$P ; $(CC) -c -P @$(mktmp $(CFLAGS)) $<
%$O .SWAP: %$S ; $(AS) $(ASFLAGS) $(<:s,/,\);

# Implicit rule for building libraries using a response file
%$L .SWAP:
	$(AR) $(ARFLAGS) $@ @$(mktmp -+$(?:t" &\n+-")\n)

# Implicit rule for building executables
%$E .SWAP: %$O
	$(LD) $(LDFLAGS) @$(mktmp $(C0LIB)+\n$(&:t"+\n")\n$@\n\n$(LDLIBS:f:t"+\n"))

