# Symantec C/C++ 6.0 DMAKE Startup File
#
# Copyright (C) 1995 by Branislav L. Slantchev
# A product of Silicon Creations, Inc.
#
# See the file "copying.pbl" for licensing information.
#

.IMPORT  : SILICON
.INCLUDE : $(SILICON)\ETC\STARTUP\_STARTUP.MK

# Default commands for compiling, linking, assembling and archiving
CC       := sc
CFLAGS   := -ml -a1 -wx
AS       :=
ASFLAGS  :=
LD       := link386
LDFLAGS  :=	/NOI
AR		 := lib
ARFLAGS  := /c /b /noi

# Library prefix code (up to two letters)
LIB_PREFIX := SC

# See if we need some special switches for PB_SDK mode
# The library suffix code must be up to three characters in length
.IF $(PB_SDK)
	INCLUDE    := $(SILICON)\H
	LIB        += $(SILICON)\LIB
	C0LIB      :=
	CFLAGS     += -I$(INCLUDE) -DPB_SDK
	LDFLAGS    += /NOD /L$(LIB)
	LDLIBS     := PB_SDK.LIB
	LIB_SUFFIX := _PX
.ELSE
	INCLUDE    := $(INCLUDE);$(SILICON)\H
	LIB        := $(LIB);$(SILICON)\LIB
	C0LIB      :=
	CFLAGS     += -I$(INCLUDE)
	LDFLAGS    += /L$(LIB)
	LDLIBS     :=
	LIB_SUFFIX := _EX
.END

# Implicit rules for building object files (with a compiler .cfg file).
%$O .SWAP: %$C ; $(CC) -c $(CFLAGS) $<
%$O .SWAP: %$P ; $(CC) -c -cpp $(CFLAGS) $<
%$O .SWAP: %$S ; $(AS) $(ASFLAGS) $(<:s,/,\);

# Implicit rule for building libraries using a response file
%$L .SWAP: ; $(AR) $(ARFLAGS) $@ @$(mktmp -+$(?:t" &\n+-")\n)

# Implicit rule for building executables
%$E .SWAP: %$O ; $(CC) $(LDFLAGS) -o$@ $< $(LDLIBS)
