# DMAKE Startup File Common to all Compilers
#
# Copyright (C) 1995 by Branislav L. Slantchev
# A product of Silicon Creations, Inc.
#
# See the file "copying.pbl" for licensing information.
#

# Disable warnings for macros redefined here that were given on the
# command line.
.SILENT   := yes

# Applicable suffix definitions
	L := .lib	# Libraries
	E := .exe	# Executables
	O := .obj	# Objects
	S := .asm	# Assembler sources
	C := .c     # C sources
	P := .cpp   # C++ sources

# Import some environment variables we want to use
TMPDIR := $(ROOTDIR)/tmp
.IMPORT .IGNORE : TMPDIR COMSPEC SILICON INCLUDE LIB PB_SDK

# We use the MSDOS shell at all times
.IMPORT .IGNORE :  COMSPEC
SHELL       := $(COMSPEC)
GROUPSHELL  := $(SHELL)
SHELLFLAGS  := $(SWITCHAR)c
GROUPFLAGS  := $(SHELLFLAGS)
SHELLMETAS  := *"?<>
GROUPSUFFIX := .bat
DIRSEPSTR   := \\
DIVFILE      = $(TMPFILE:s,/,\)

# This is the delete, move and copy file commands we use
RM          := $(SILICON)\BIN\RM.EXE
MV          := $(SILICON)\BIN\MV.EXE
CP          := $(SILICON)\BIN\CP.EXE


# Directory for temporary storage of .OBJ files
OBJ_DIR      := $(SILICON)\TMP

# Library files directory
LIBDEST      := $(SILICON)\LIB

# DMAKE uses this recipe to remove intermediate targets
.REMOVE:       ; $(RM) -f $<

# We don't use tabs in _our_ makefiles (even though we must) ;-)
.NOTABS := yes

# Definition of $(MAKE) macro for recursive makes.
MAKE = $(MAKECMD) $(MFLAGS)

